import 'package:flutter/foundation.dart';
import 'package:freezed_annotation/freezed_annotation.dart';

import '../../../../../api/marianumconnect/models/mc_holiday.dart';

part 'holidays_state.freezed.dart';
part 'holidays_state.g.dart';

@freezed
abstract class HolidaysState with _$HolidaysState {
  const factory HolidaysState({
    required bool showPastHolidays,
    required bool showDisclaimer,
    required List<McHoliday> holidays,
  }) = _HolidaysState;

  factory HolidaysState.fromJson(Map<String, Object?> json) =>
      _$HolidaysStateFromJson(json);
}
